KDE 4.2 PyKDE API Reference

- KDE's Python API

# ComboBox Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

ComboBox plasma/widgets/combobox.h <Plasma/Widgets/ComboBox>

Provides a Plasma-themed combo box.

## Signals

| activated (QString text)

## Methods

| __init__ (self, QGraphicsWidget parent=0)
| activated (self, QString text)
| addItem (self, QString text)
| clear (self)
| hoverEnterEvent (self, QGraphicsSceneHoverEvent event)
| hoverLeaveEvent (self, QGraphicsSceneHoverEvent event)
KComboBox | nativeWidget (self)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setStyleSheet (self, QString stylesheet)
QString | styleSheet (self)
QString | text (self)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

activated | ( | self, |
|  | QString | text
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("activated(const QString&)"), target_slot)`

addItem | ( | self, |
|  | QString | text
| ) |  |  |

Adds an item to the combobox with the given text. The item is appended to the list of existing items.

clear | ( |  | self ) |

hoverEnterEvent | ( | self, |
|  | QGraphicsSceneHoverEvent | event
| ) |  |  |

hoverLeaveEvent | ( | self, |
|  | QGraphicsSceneHoverEvent | event
| ) |  |  |

KComboBox nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this ComboBox

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget
| ) |  |  |

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this ComboBox

@arg stylesheet a CSS string

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

QString text | ( |  | self ) |

Returns:
  the display text